param_filter Struct Reference
Collaboration diagram for param_filter:
[legend]

## Data Fields

struct pw_port * | in_port
struct pw_port * | out_port
uint32_t | in_param_id
uint32_t | out_param_id
int(* | callback )(void *data, uint32_t id, uint32_t index, uint32_t next, struct spa_pod *param)
void * | data
uint32_t | n_params

## Field Documentation

## callback

int(* param_filter::callback) (void *data, uint32_t id, uint32_t index, uint32_t next, struct spa_pod *param)

Referenced by pw_port_for_each_filtered_param().

## data

void* param_filter::data

Referenced by pw_port_for_each_filtered_param().

## in_param_id

uint32_t param_filter::in_param_id

Referenced by pw_port_for_each_filtered_param().

## in_port

struct pw_port* param_filter::in_port

Referenced by pw_port_for_each_filtered_param().

## n_params

uint32_t param_filter::n_params

## out_param_id

uint32_t param_filter::out_param_id

Referenced by pw_port_for_each_filtered_param().

## out_port

struct pw_port* param_filter::out_port

Referenced by pw_port_for_each_filtered_param().

The documentation for this struct was generated from the following file:

- port.c